Subject: Re: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 05 Sep 2020 23:30:54 +0200

Paul Eggert <[email-masked]> writes:

> I suggest that someone with some time on macOS bisect between
> b799cc271d69fc494da1fe04ca8ec6c529a19a19 (which works) and
> 886ba068c82dcf5e0e2e1244bf99841d4ff5690c (which does not work).
>
> I further suggest that people use "git bisect --first-parent" if
> available, as it attempts to avoid the kind of false alarm that sent
> us off in that wild goose chase. Unfortunately --first-parent is only
> in Git master right now (it should appear in Git 2.29 when it comes
> out) so if you're running Git 2.28 or earlier you will have to make do
> with plain "git bisect" and we can check the result by hand.

I've got git 2.17 on high sierra, so I did a normal git bisect, and it
reports:

Bisecting: 0 revisions left to test after this (roughly 0 steps)
[42ec41251584c480ee3286ff369c18629f52a7d5] Update from Gnulib

The next commit is:

commit 2c389455c72250b579f5225b99bc7de0cf435e4a (refs/bisect/good-2c389455c72250b579f5225b99bc7de0cf435e4a)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no